| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PositionInpSpec Class Reference
General

Specifications for BinID/Coordinate/TrcNrs and offsets. More...

`#include <datainpspec.h>`

Inheritance diagram for PositionInpSpec:
[legend]

## Classes
struct | Setup

## Public Member Functions
| PositionInpSpec (const BinID &, bool isps=false)
| PositionInpSpec (const Coord &, bool isps=false, bool is2d=false)
| PositionInpSpec (const Setup &)
| PositionInpSpec (int trcnr, bool isps=false)
DataInpSpec * | clone () const override
float | defaultValue (int idx=0) const
BinID | getBinID (int udfval=mUdf(int)) const
Coord | getCoord (double udfval=mUdf(double)) const
float | getOffset (float udfval=mUdf(float)) const
int | getTrcNr (int udfval=mUdf(int)) const
bool | isUndef (int idx=0) const override
int | nElems () const override
void | setDefaultValue (bool val, int idx=0) override
void | setDefaultValue (const char *val, int idx=0) override
void | setDefaultValue (double val, int idx=0) override
void | setDefaultValue (float f, int idx=0) override
void | setDefaultValue (int val, int idx=0) override
bool | setText (const char *s, int idx=0) override
Setup & | setup (bool def=false)
const Setup & | setup (bool def=false) const
void | setValue (bool val, int idx=0) override
void | setValue (double val, int idx=0) override
void | setValue (float f, int idx=0) override
void | setValue (int val, int idx=0) override
void | setValue (od_int64 val, int idx=0) override
const char * | text (int idx=0) const override
float | value (int idx=0) const
Public Member Functions inherited from DataInpSpec
| DataInpSpec (const DataInpSpec &)
| DataInpSpec (DataType)
virtual | ~DataInpSpec ()
void | fillPar (IOPar &) const
virtual bool | getBoolValue (int idx=0) const
virtual bool | getDefaultBoolValue (int idx=0) const
virtual float | getDefaultfValue (int idx=0) const
virtual int | getDefaultIntValue (int idx=0) const
virtual const char * | getDefaultStringValue (int idx=0) const
virtual double | getDefaultValue (int idx=0) const
virtual double | getDValue (int idx=0) const
double | getdValue (int idx=0) const
virtual float | getFValue (int idx=0) const
float | getfValue (int idx=0) const
virtual od_int64 | getInt64Value (int idx=0) const
virtual int | getIntValue (int idx=0) const
virtual bool | hasLimits () const
virtual bool | isInsideLimits (int idx=0) const
virtual const char * | name (int idx=0) const
virtual DataInpSpec & | setName (const char *, int idx=0)
DataType | type () const
bool | usePar (const IOPar &)

## Protected Member Functions
float | getVal (const Setup &, int) const
void | setVal (Setup &, int, float)
Protected Member Functions inherited from DataInpSpec
void | setType (DataType t)

## Protected Attributes
Setup | defsetup_
Setup | setup_
Protected Attributes inherited from DataInpSpec
TypeSet< int > | nameidxs_
BufferStringSet | names_
bool | prefempty_
DataType | tp_

## Detailed Description

Specifications for BinID/Coordinate/TrcNrs and offsets.

<>

## Constructor & Destructor Documentation

## ◆ PositionInpSpec() [1/4]

PositionInpSpec::PositionInpSpec | ( | const Setup & |  | ) |

## ◆ PositionInpSpec() [2/4]

PositionInpSpec::PositionInpSpec | ( | const BinID & | ,
|  | bool | isps = false )

## ◆ PositionInpSpec() [3/4]

PositionInpSpec::PositionInpSpec | ( | const Coord & | ,
|  | bool | isps = false,
|  | bool | is2d = false )

## ◆ PositionInpSpec() [4/4]

PositionInpSpec::PositionInpSpec | ( | int | trcnr,
|  | bool | isps = false )

## Member Function Documentation

## ◆ clone()

DataInpSpec * PositionInpSpec::clone | ( |  | ) | const
| inline override virtual

Implements DataInpSpec.

## ◆ defaultValue()

float PositionInpSpec::defaultValue | ( | int | idx = 0 | ) | const
| inline

## ◆ getBinID()

BinID PositionInpSpec::getBinID | ( | int | udfval = mUdf(int) | ) | const

## ◆ getCoord()

Coord PositionInpSpec::getCoord | ( | double | udfval = mUdf(double) | ) | const

## ◆ getOffset()

float PositionInpSpec::getOffset | ( | float | udfval = mUdf(float) | ) | const

## ◆ getTrcNr()

int PositionInpSpec::getTrcNr | ( | int | udfval = mUdf(int) | ) | const

## ◆ getVal()

float PositionInpSpec::getVal | ( | const Setup & | ,
|  | int | ) const
| protected

## ◆ isUndef()

bool PositionInpSpec::isUndef | ( | int | idx = 0 | ) | const
| override virtual

Implements DataInpSpec.

## ◆ nElems()

int PositionInpSpec::nElems | ( |  | ) | const
| override virtual

Reimplemented from DataInpSpec.

## ◆ setDefaultValue() [1/5]

void PositionInpSpec::setDefaultValue | ( | bool | val,
|  | int | idx = 0 )
| inline override virtual

Reimplemented from DataInpSpec.

## ◆ setDefaultValue() [2/5]

void PositionInpSpec::setDefaultValue | ( | const char * | val,
|  | int | idx = 0 )
| inline override virtual

Reimplemented from DataInpSpec.

## ◆ setDefaultValue() [3/5]

void PositionInpSpec::setDefaultValue | ( | double | val,
|  | int | idx = 0 )
| inline override virtual

Reimplemented from DataInpSpec.

## ◆ setDefaultValue() [4/5]

void PositionInpSpec::setDefaultValue | ( | float | f,
|  | int | idx = 0 )
| inline override virtual

Reimplemented from DataInpSpec.

## ◆ setDefaultValue() [5/5]

void PositionInpSpec::setDefaultValue | ( | int | val,
|  | int | idx = 0 )
| inline override virtual

Reimplemented from DataInpSpec.

## ◆ setText()

bool PositionInpSpec::setText | ( | const char * | s,
|  | int | idx = 0 )
| override virtual

Implements DataInpSpec.

## ◆ setup() [1/2]

Setup & PositionInpSpec::setup | ( | bool | def = false | ) |
| inline

## ◆ setup() [2/2]

const Setup & PositionInpSpec::setup | ( | bool | def = false | ) | const
| inline

## ◆ setVal()

void PositionInpSpec::setVal | ( | Setup & | ,
|  | int | ,
|  | float | )
| protected

## ◆ setValue() [1/5]

void PositionInpSpec::setValue | ( | bool | val,
|  | int | idx = 0 )
| inline override virtual

Reimplemented from DataInpSpec.

## ◆ setValue() [2/5]

void PositionInpSpec::setValue | ( | double | val,
|  | int | idx = 0 )
| inline override virtual

Reimplemented from DataInpSpec.

## ◆ setValue() [3/5]

void PositionInpSpec::setValue | ( | float | f,
|  | int | idx = 0 )
| inline override virtual

Reimplemented from DataInpSpec.

## ◆ setValue() [4/5]

void PositionInpSpec::setValue | ( | int | val,
|  | int | idx = 0 )
| inline override virtual

Reimplemented from DataInpSpec.

## ◆ setValue() [5/5]

void PositionInpSpec::setValue | ( | od_int64 | val,
|  | int | idx = 0 )
| inline override virtual

Reimplemented from DataInpSpec.

## ◆ text()

const char * PositionInpSpec::text | ( | int | idx = 0 | ) | const
| override virtual

Implements DataInpSpec.

## ◆ value()

float PositionInpSpec::value | ( | int | idx = 0 | ) | const
| inline

## Member Data Documentation

## ◆ defsetup_

Setup PositionInpSpec::defsetup_
| protected

## ◆ setup_

Setup PositionInpSpec::setup_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025